Bug 187468 - F-spot crashes on startup with unhandled SqliteSyntaxException
F-spot crashes on startup with unhandled SqliteSyntaxException
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 01:07 EST by Izaac Zavaleta
Modified: 2008-05-06 11:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Izaac Zavaleta 2006-03-31 01:07:16 EST
Description of problem:
Trying to run F-spot from the Applications Menu fails.

Version-Release number of selected component (if applicable):

How reproducible:
Always, even rebooting. The only way to run f-spot is from the Open With..
option of Nautilus.

Steps to Reproduce:
1.Click on the f-spot application
2.it didn't start, just a flash and crash
3.
  
Actual results:
F-spot crashes

Expected results:
F-spot opens from the Applications

Additional info:
If starting from the command line, I get the following messages:

Starting new FSpot server

Unhandled Exception: Mono.Data.SqliteClient.SqliteSyntaxException: no such
table: photos
in <0x00106> Mono.Data.SqliteClient.SqliteCommand:GetNextStatement (IntPtr
pzStart, System.IntPtr pzTail, System.IntPtr pStmt)
in <0x000d0> Mono.Data.SqliteClient.SqliteCommand:ExecuteReader (CommandBehavior
behavior, Boolean want_results, System.Int32 rows_affected)
in <0x0001d> Mono.Data.SqliteClient.SqliteCommand:ExecuteReader (CommandBehavior
behavior)
in <0x0000c> Mono.Data.SqliteClient.SqliteCommand:ExecuteReader ()
in <0x0009b> PhotoStore:Query (System.String query)
in <0x0044a> PhotoStore:Query (.Tag[] tags, .DateRange range)
in <0x00025> FSpot.PhotoQuery:.ctor (.PhotoStore store)
in <0x00779> MainWindow:.ctor (.Db db)
in <0x0002a> FSpot.Core:get_MainWindow ()
in <0x0000c> FSpot.Core:Organize ()
in <0x004d8> FSpot.Driver:Main (System.String[] args)
Comment 1 Maxwell Bottiger 2007-02-03 09:46:26 EST
I'm having a very similar problem, although my error syntax is a little
different.  This is from Fedroa 6 on x86_64:

[sleepylight@lucent ~]$ f-spot
Starting new FSpot server
XXXXX
Mono.Data.SqliteClient.SqliteSyntaxException: file is encrypted or is not a database
  at Mono.Data.SqliteClient.SqliteCommand.GetNextStatement (IntPtr pzStart,
System.IntPtr pzTail, System.IntPtr pStmt) [0x00000] 
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteReader (CommandBehavior
behavior, Boolean want_results, System.Int32 rows_affected) [0x00000] 
  at Mono.Data.SqliteClient.SqliteCommand.ExecuteNonQuery () [0x00000] 
  at MetaStore.CreateTable () [0x00000] 
  at MetaStore..ctor (Mono.Data.SqliteClient.SqliteConnection connection,
Boolean is_new) [0x00000] 
  at Db.Init (System.String path, Boolean create_if_missing) [0x00000] 
  at FSpot.Core..ctor () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
XXXXX
Starting new FSpot server
Starting new FSpot server
Starting new FSpot server

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Stacktrace:

  at (wrapper managed-to-native) System.Threading.Monitor.Monitor_try_enter
(object,int) <0x0000b>
  at (wrapper managed-to-native) System.Threading.Monitor.Monitor_try_enter
(object,int) <0xffffffff>
  at System.Threading.Monitor.Enter (object) <0x00026>
  at (wrapper synchronized) DBus.Service.remove_SignalCalled
(DBus.Service/SignalCalledHandler) <0xffffffff>
  at FSpot.Core.Proxy.Finalize () <0x0001d>
  at (wrapper runtime-invoke) System.Object.runtime_invoke_void
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        f-spot(mono_handle_native_sigsegv+0xe7) [0x517337]
        f-spot [0x4e490d]
        /lib64/libpthread.so.0 [0x3020a0dde0]
        f-spot [0x479b10]
        f-spot [0x479ee4]
        [0x4002129b]
Abort
[sleepylight@lucent ~]$ rpm -q mono-core
mono-core-1.1.17.1-4.fc6
[sleepylight@lucent ~]$ rpm -q mysql
mysql-5.0.27-1.fc6
Comment 2 Bug Zapper 2008-04-03 22:23:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:43:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.